## megatools 1.11.5

=== meson_options.txt ===
option('symlinks',
  type: 'boolean',
  value: false,
  description: 'Install symlinks for compatibility with old megatools commands (megals, megacopy, megadl, ...)'
)

option('man',
  type: 'boolean',
  value: true,
  description: 'Build and install manual pages.'
)

## megatools 1.9.93

=== debian/changelog ===
megatools (1.9.93-1) unstable; urgency=medium

  * Initial release (Closes: #766611).

 -- Alberto Garcia <berto@igalia.com>  Mon, 27 Oct 2014 10:13:02 +0200

=== debian/control ===
Source: megatools
Section: utils
Priority: optional
Maintainer: Alberto Garcia <berto@igalia.com>
Build-Depends: debhelper (>= 9),
               libcurl4-openssl-dev,
               libssl-dev,
               libglib2.0-dev (>= 2.32.0),
               libfuse-dev
Standards-Version: 3.9.6
Homepage: http://megatools.megous.com/

Package: megatools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fuse
Description: Command-line client for the Mega cloud storage service
 Megatools is a collection of programs for accessing the Mega.co.nz
 service from the command line.
 .
 Megatools allow you to copy individual files as well as entire
 directory trees to and from the cloud. You can also perform streaming
 downloads for example to preview videos and audio files, without
 needing to download the entire file first.
 .
 Megatools are robust and optimized for fast operation - as fast as
 Mega servers allow. Memory requirements and CPU utilization are kept
 at minimum.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp install

## megatools 1.9.94

=== debian/changelog ===
megatools (1.9.94-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Enable all hardening flags.
    - Disable silent rules when building.
  * debian/control:
    - Depend on glib-networking (Closes: #774593).
  * debian/copyright:
    - Update copyright years and tools/libtools/ path.

 -- Alberto Garcia <berto@igalia.com>  Wed, 07 Jan 2015 13:28:11 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: megatools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, glib-networking, ${misc:Depends}
 Recommends: fuse
 Description: Command-line client for the Mega cloud storage service
  Megatools is a collection of programs for accessing the Mega.co.nz

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp install

## megatools 1.9.95

=== debian/changelog ===
megatools (1.9.95-2) unstable; urgency=medium

  * Upload to unstable.
  * libmega-tools.patch:
    - Add TOOLS_SOURCES to the libmega shared library. This reduces the
      size of the binaries significantly.
  * debian/control:
    - Add build dependencies on dh-autoreconf and gobject-introspection.
  * debian/rules:
    - Build with autoreconf.

 -- Alberto Garcia <berto@igalia.com>  Mon, 27 Apr 2015 11:30:56 +0300

megatools (1.9.95-1) experimental; urgency=medium

  * New upstream release (Closes: #776854).
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Sat, 18 Apr 2015 18:54:15 +0300

## megatools 1.9.96

=== debian/changelog ===
megatools (1.9.96-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/mega_nz-links.patch:
    - Delete, this is already included in this release.
  * debian/patches/libmega-tools.patch:
    - Refresh.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Sun, 03 Jan 2016 02:47:14 +0100

megatools (1.9.95-3) unstable; urgency=medium

  * mega_nz-links.patch:
    - Add support for mega.nz links

 -- Alberto Garcia <berto@igalia.com>  Wed, 21 Oct 2015 10:19:15 +0300

## megatools 1.9.97

=== debian/changelog ===
megatools (1.9.97-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/libmega-tools.patch:
    - Refresh.
  * debian/source/lintian-overrides
    - Override source-is-missing false positive.

 -- Alberto Garcia <berto@igalia.com>  Wed, 03 Feb 2016 00:03:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Build-Depends: debhelper (>= 9),
                libcurl4-openssl-dev,
                libssl-dev,
+               dh-autoreconf,
+               gobject-introspection,
                libglib2.0-dev (>= 2.32.0),
                libfuse-dev
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-silent-rules

=== debian/watch ===
version=3
http://megatools.megous.com/builds/megatools-([\d\.]*)\.tar\.gz

## megatools 1.9.98

=== debian/changelog ===
megatools (1.9.98-1build2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:36:37 +0000

megatools (1.9.98-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:02 +0000

megatools (1.9.98-1) unstable; urgency=medium

  * New upstream release (Closes: #828434, #838651).
  * debian/control:
    - Update Standards-Version to 3.9.8 (no changes).
    - Drop build dependency on libfuse-dev and don't recommend fuse
      anymore, this package no longer ships the megafs binary.
    - Add build dependency on asciidoc.
    - Replace dependency on glib-networking with ca-certificates.
  * debian/{control,copyright,watch}:
    - Use https://megatools.megous.com.
  * debian/watch, debian/upstream/signing-key.asc:
    - Add upstream signing key.
  * debian/copyright:
    - libtools/* is now lib/*.
  * debian/rules:
    - No need to override dh_auto_configure in order to pass
      --disable-silent-rules.
  * make-verbose.patch:
    - Don't run make silently.
  * debian/source/lintian-overrides:
    - This override is no longer necessary.
  * Megatools no longer ships libmega.so:
    - libmega-tools.patch:
      + Drop this patch.
    - debian/install:
      + Don't try to install the file.
    - debian/lintian-overrides:
      + This override is no longer necessary.

 -- Alberto Garcia <berto@igalia.com>  Thu, 03 Nov 2016 16:02:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: megatools
 Section: utils
 Priority: optional
-Maintainer: Alberto Garcia <berto@igalia.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper (>= 9),
+               asciidoc,
                libcurl4-openssl-dev,
                libssl-dev,
                dh-autoreconf,
                gobject-introspection,
-               libglib2.0-dev (>= 2.32.0),
-               libfuse-dev
-Standards-Version: 3.9.6
-Homepage: http://megatools.megous.com/
+               libglib2.0-dev (>= 2.32.0)
+Standards-Version: 3.9.8
+Homepage: https://megatools.megous.com/
 
 Package: megatools
 Architecture: any
-Depends: ${shlibs:Depends}, glib-networking, ${misc:Depends}
-Recommends: fuse
+Depends: ${shlibs:Depends}, ca-certificates, ${misc:Depends}
 Description: Command-line client for the Mega cloud storage service
  Megatools is a collection of programs for accessing the Mega.co.nz
  service from the command line.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp install

## megatools 1.10.0

=== debian/changelog ===
megatools (1.10.0-1) unstable; urgency=medium

  * New upstream release (Closes: #904058, #902915).
  * debian/copyright:
    - Update copyright years.
  * Use the NEWS file as the upstream changelog:
    - debian/rules: override dh_installchangelogs.
    - debian/docs: don't install NEWS.
  * debian/control:
    - Add Vcs-* fields.

 -- Alberto Garcia <berto@igalia.com>  Wed, 25 Jul 2018 01:41:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: megatools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
+Maintainer: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper (>= 9),
                asciidoc,
                libcurl4-openssl-dev,
@@ -12,6 +11,8 @@
                libglib2.0-dev (>= 2.32.0)
 Standards-Version: 3.9.8
 Homepage: https://megatools.megous.com/
+Vcs-Browser: https://salsa.debian.org/berto/megatools
+Vcs-Git: https://salsa.debian.org/berto/megatools.git
 
 Package: megatools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 override_dh_auto_install:
 	make DESTDIR=$(CURDIR)/debian/tmp install
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS

## megatools 1.10.1

=== debian/changelog ===
megatools (1.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Use HTTPS for the Format URL.
  * debian/control:
    - Update Standards-Version to 4.1.5 (changes: copyright format URL).

 -- Alberto Garcia <berto@igalia.com>  Mon, 30 Jul 2018 14:12:04 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-autoreconf,
                gobject-introspection,
                libglib2.0-dev (>= 2.32.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.5
 Homepage: https://megatools.megous.com/
 Vcs-Browser: https://salsa.debian.org/berto/megatools
 Vcs-Git: https://salsa.debian.org/berto/megatools.git

## megatools 1.10.2

=== debian/changelog ===
megatools (1.10.2-1) unstable; urgency=medium

  * New upstream release (Closes: #905156).
  * Set debhelper compatibility level to 10:
    - debian/rules: don't pass --parallel nor --with autoreconf do dh.
    - debian/control: require dh >= 10 and drop build dependency on
      dh-autoreconf.

 -- Alberto Garcia <berto@igalia.com>  Wed, 01 Aug 2018 10:42:42 +0300

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_install:
 	make DESTDIR=$(CURDIR)/debian/tmp install

## megatools 1.10.3

=== debian/changelog ===
megatools (1.10.3-1build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:39:22 +0000

megatools (1.10.3-1) unstable; urgency=medium

  * New upstream release.
  * Replace upstream signing key.
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Update Standards-Version to 4.5.0.
  * Add upstream metadata file.
  * Set the debhelper compatibility level to 12:
    - Get rid of debian/compat.
    - Add build dependency on debhelper-compat.
  * debian/copyright:
    - Update copyright years.
  * Don't install the NEWS file as changelog.gz anymore:
    - debian/rules:
      + Stop overriding dh_installchangelogs.
    - debian/docs:
      + Install the NEWS file.

 -- Alberto Garcia <berto@igalia.com>  Wed, 15 Apr 2020 13:08:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: megatools
 Section: utils
 Priority: optional
-Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
+Build-Depends: debhelper-compat (= 12),
                asciidoc,
                libcurl4-openssl-dev,
                libssl-dev,
-               dh-autoreconf,
                gobject-introspection,
                libglib2.0-dev (>= 2.32.0)
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://megatools.megous.com/
 Vcs-Browser: https://salsa.debian.org/berto/megatools
 Vcs-Git: https://salsa.debian.org/berto/megatools.git

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://megatools.megous.com/builds/megatools-([\d\.]*)\.tar\.gz

## megatools 1.11.0

=== debian/changelog ===
megatools (1.11.0-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * debian/watch:
    - Set version to 4 (fixes older-debian-watch-file-standard).
  * debian/control:
    - Update Standards-Version to 4.6.0.1 (no changes).
    - Set the debhelper compatibility level to 13.
  * debian/copyright:
    - Update copyright years.
  * debian/lintian-overrides:
    - Rename binary-without-manpage to no-manual-page and
      manpage-has-bad-whatis-entry to bad-whatis-entry.
  * debian/patches/fix-typo.patch:
    - Fix typo in documentation.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libglib2.0-dev.

 -- Alberto Garcia <berto@igalia.com>  Mon, 23 May 2022 16:18:03 +0200

megatools (1.11.0~git20200404-1) experimental; urgency=medium

  * New upstream experimental release.
  * Replace upstream signing key.
  * debian/patches/make-verbose.patch:
    - Drop this patch, the project no longer uses make.
  * debian/patches/dont-install-license.patch:
    - Don't install the LICENSE file.
  * debian/control:
    - Remove build dependency on gobject-introspection.
    - Add build dependencies on meson, docbook2x and docbook-xml.
    - Add Rules-Requires-Root: no.
    - Update Standards-Version to 4.5.0.
  * debian/rules:
    - Remove overrides.
  * Remove debian/install and debian/docs.
  * Add upstream metadata file.
  * Set the debhelper compatibility level to 12:
    - Get rid of debian/compat.
    - Add build dependency on debhelper-compat.
  * Add lintian overrides for all manpages.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Tue, 14 Apr 2020 22:54:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: megatools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Alberto Garcia <berto@igalia.com>
+Build-Depends: debhelper-compat (= 13),
                asciidoc,
+               docbook-xml,
+               docbook2x,
                libcurl4-openssl-dev,
                libssl-dev,
-               gobject-introspection,
-               libglib2.0-dev (>= 2.32.0)
-Standards-Version: 4.5.0
+               libglib2.0-dev,
+               meson
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://megatools.megous.com/
 Vcs-Browser: https://salsa.debian.org/berto/megatools

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://megatools.megous.com/builds/megatools-([\d\.]*)\.tar\.gz

## megatools 1.11.1

=== debian/changelog ===
megatools (1.11.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:19 +1100

megatools (1.11.1-1build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:45:47 +0000

megatools (1.11.1-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 19:59:24 +0000

megatools (1.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    - Update uscan rule to strip date from the version number.
  * Drop debian/patches/fix-typo.patch.
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Update Standards-Version to 4.6.2 (no changes).
  * Update format of lintian overrides (see #1007002).

 -- Alberto Garcia <berto@igalia.com>  Thu, 09 Mar 2023 10:09:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: megatools
 Section: utils
 Priority: optional
-Maintainer: Alberto Garcia <berto@igalia.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper-compat (= 13),
                asciidoc,
                docbook-xml,
@@ -10,7 +11,7 @@
                libssl-dev,
                libglib2.0-dev,
                meson
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://megatools.megous.com/
 Vcs-Browser: https://salsa.debian.org/berto/megatools

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://megatools.megous.com/builds/megatools-([\d\.]*)\.[\d]*\.tar\.gz

## megatools 1.11.3

=== debian/changelog ===
megatools (1.11.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Standards-Version to 4.7.0 (no changes).
  * Update all instances of the upstream homepage and e-mail address.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Fri, 07 Feb 2025 23:51:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: megatools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
+Maintainer: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper-compat (= 13),
                asciidoc,
                docbook-xml,
@@ -11,9 +10,9 @@
                libssl-dev,
                libglib2.0-dev,
                meson
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://megatools.megous.com/
+Homepage: https://xff.cz/megatools/
 Vcs-Browser: https://salsa.debian.org/berto/megatools
 Vcs-Git: https://salsa.debian.org/berto/megatools.git

## megatools 1.11.4

=== debian/changelog ===
megatools (1.11.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Standards-Version to 4.7.2 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 07 May 2025 16:26:31 +0200

## megatools 1.11.5

=== debian/changelog ===
megatools (1.11.5-1) unstable; urgency=medium

  * New upstream release

 -- Alberto Garcia <berto@igalia.com>  Fri, 11 Jul 2025 15:09:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libssl-dev,
                libglib2.0-dev,
                meson
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://xff.cz/megatools/
 Vcs-Browser: https://salsa.debian.org/berto/megatools

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://xff.cz/megatools/builds/builds/megatools-([\d\.]*)\.[\d]*\.tar\.gz
